Skip to main content
`Ctrl`+`K`

# scipy.special.k0

scipy.special.k0(x, out=None) = <ufunc 'k0'>

  Modified Bessel function of the second kind of order 0, \(K_0\).

  This function is also sometimes referred to as the modified Bessel function of the third kind of order 0.

  Parameters:
    x array_like

      Argument (float).

    out ndarray, optional

      Optional output array for the function values

  Returns:
    K scalar or ndarray

      Value of the modified Bessel function \(K_0\) at x.

  See also

  `kv`

    Modified Bessel function of the second kind of any order

  `k0e`

    Exponentially scaled modified Bessel function of the second kind

  Notes

  The range is partitioned into the two intervals [0, 2] and (2, infinity). Chebyshev polynomial expansions are employed in each interval.

  This function is a wrapper for the Cephes [1] routine `k0`.

  References

  [1]

  Cephes Mathematical Functions Library, http://www.netlib.org/cephes/

  Examples

  Calculate the function at one point:

      >>> from scipy.special import k0
      >>> k0(1.)
      0.42102443824070823

  Calculate the function at several points:

      >>> import numpy as np
      >>> k0(np.array([0.5, 2., 3.]))
      array([0.92441907, 0.11389387, 0.0347395 ])

  Plot the function from 0 to 10.

      >>> import matplotlib.pyplot as plt
      >>> fig, ax = plt.subplots()
      >>> x = np.linspace(0., 10., 1000)
      >>> y = k0(x)
      >>> ax.plot(x, y)
      >>> plt.show()